> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Appointment: Knock

POST https://api.propexo.com/crm/v1/appointments/knock
Content-Type: application/json

Knock does not allow specifying appointment end times or durations via their API.

Reference: https://docs.propexo.com/api-reference/knock/appointments/create-appointment-knock

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_appointments_knock_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `attribution_id` (string, required) — The Propexo unique identifier for the attribution
- `appointment_date` (CrmV1AppointmentsKnockPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
- `last_name` (string, required) — The last name associated with the prospect
- `email_1` (string, optional) — The primary email address associated with the prospect. This field and/or the phone_1 field are required
- `phone_1` (string, optional) — Primary phone number associated with the prospect. This field and/or the email_1 field are required
- `first_name` (string, optional) — The first name associated with the prospect
- `move_in_date` (CrmV1AppointmentsKnockPostInputMoveInDate, optional) — The move-in date associated with the prospect
- `number_of_occupants` (integer, optional) — The number of occupants living in the unit
- `lease_term_in_months` (integer, optional) — The amount of months for the lease term
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the prospect
- `desired_num_bedrooms` (list of integer, optional) — The number of bedrooms associated with the prospect. 0 represents a studio unit. 3 represents three or more bedrooms.
- `pets` (list of enum, optional) — A list of pets related to the prospect
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`
- `first_contact_type` (enum, optional) — The type of initial contact with the prospect
  - Allowed values: `CALL`, `CHAT`, `EMAIL`, `FACEBOOK`, `FORM`, `INTERNET`, `KNOCK_SCHEDULE`, `SMS`, `WALK_IN`
- `tour_type` (enum, optional) — The type of appointment being scheduled.
  - Allowed values: `LIVE_VIDEO`, `IN_PERSON`, `SELF_GUIDED`

## Response

### 200

Successful response

- `meta` (CrmV1AppointmentsKnockPostOutputMeta, required)
- `result` (CrmV1AppointmentsKnockPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1AppointmentsKnockPostInputAppointmentDate

The date when the appointment will occur

### CrmV1AppointmentsKnockPostInputMoveInDate

The move-in date associated with the prospect

### CrmV1AppointmentsKnockPostOutputMeta

- `job_id` (string, required)

### CrmV1AppointmentsKnockPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `attribution_id` (string, required) — The Propexo unique identifier for the attribution
- `appointment_date` (CrmV1AppointmentsKnockPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
- `last_name` (string, required) — The last name associated with the prospect
- `email_1` (string, required, nullable) — The primary email address associated with the prospect. This field and/or the phone_1 field are required
- `phone_1` (string, required, nullable) — Primary phone number associated with the prospect. This field and/or the email_1 field are required
- `first_name` (string, required, nullable) — The first name associated with the prospect
- `move_in_date` (CrmV1AppointmentsKnockPostOutputResultMoveInDate, required, nullable) — The move-in date associated with the prospect
- `number_of_occupants` (integer, required, nullable) — The number of occupants living in the unit
- `lease_term_in_months` (integer, required, nullable) — The amount of months for the lease term
- `rent_minimum_in_cents` (integer, required, nullable) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, required, nullable) — The maximum rent of the prospect
- `notes` (string, required, nullable) — Notes associated with the prospect
- `desired_num_bedrooms` (list of integer, required, nullable)
- `pets` (list of enum, required, nullable)
  - Allowed values: `SMALL_DOG`, `LARGE_DOG`, `CAT`
- `first_contact_type` (enum, required) — The type of initial contact with the prospect
  - Allowed values: `CALL`, `CHAT`, `EMAIL`, `FACEBOOK`, `FORM`, `INTERNET`, `KNOCK_SCHEDULE`, `SMS`, `WALK_IN`
- `tour_type` (enum, required) — The type of appointment being scheduled.
  - Allowed values: `LIVE_VIDEO`, `IN_PERSON`, `SELF_GUIDED`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### CrmV1AppointmentsKnockPostOutputResultAppointmentDate

### CrmV1AppointmentsKnockPostOutputResultMoveInDate

The move-in date associated with the prospect

## Examples

**Request**

```json
{
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "attribution_id": "attr-456789123",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00",
  "last_name": "Johnson"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-abc123xyz789"
  },
  "result": {
    "integration_id": "intg-987654321",
    "community_id": "comm-123456789",
    "attribution_id": "attr-456789123",
    "appointment_date": "2024-01-15T09:30:00Z",
    "appointment_time": "14:30:00",
    "last_name": "Johnson",
    "email_1": "johnson.family@example.com",
    "phone_1": "+14155552671",
    "first_name": "Emily",
    "move_in_date": "2024-02-01",
    "number_of_occupants": 3,
    "lease_term_in_months": 12,
    "rent_minimum_in_cents": 120000,
    "rent_maximum_in_cents": 150000,
    "notes": "Prospect is interested in a pet-friendly unit with a balcony.",
    "desired_num_bedrooms": [
      1,
      2
    ],
    "pets": [
      "SMALL_DOG",
      "CAT"
    ],
    "first_contact_type": "CALL",
    "tour_type": "LIVE_VIDEO"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/appointments/knock"

payload = {
    "integration_id": "intg-987654321",
    "community_id": "comm-123456789",
    "attribution_id": "attr-456789123",
    "appointment_date": "2024-01-15T09:30:00Z",
    "appointment_time": "14:30:00",
    "last_name": "Johnson"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/appointments/knock';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-987654321","community_id":"comm-123456789","attribution_id":"attr-456789123","appointment_date":"2024-01-15T09:30:00Z","appointment_time":"14:30:00","last_name":"Johnson"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/appointments/knock"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"attribution_id\": \"attr-456789123\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\",\n  \"last_name\": \"Johnson\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/appointments/knock")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"attribution_id\": \"attr-456789123\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\",\n  \"last_name\": \"Johnson\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/appointments/knock")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"attribution_id\": \"attr-456789123\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\",\n  \"last_name\": \"Johnson\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/appointments/knock', [
  'body' => '{
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "attribution_id": "attr-456789123",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00",
  "last_name": "Johnson"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/appointments/knock");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-987654321\",\n  \"community_id\": \"comm-123456789\",\n  \"attribution_id\": \"attr-456789123\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\",\n  \"last_name\": \"Johnson\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-987654321",
  "community_id": "comm-123456789",
  "attribution_id": "attr-456789123",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00",
  "last_name": "Johnson"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/appointments/knock")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```